CVE-2021-27847

NameCVE-2021-27847
DescriptionDivision-By-Zero vulnerability in Libvips 8.10.5 in the function vips_eye_point, eye.c#L83, and function vips_mask_point, mask.c#L85.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
vips (PTS)stretch8.4.5-1+deb9u1vulnerable
stretch (security)8.4.5-1+deb9u2vulnerable
buster8.7.4-1+deb10u1vulnerable
bullseye, sid8.10.5-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
vipssource(unstable)8.8.3-1

Notes

[buster] - vips <no-dsa> (Minor issue)
[stretch] - vips <no-dsa> (Minor issue)
https://github.com/libvips/libvips/issues/1236
https://github.com/libvips/libvips/commit/2fb81b8ed6a4a6b2385f3efbb0412f24f80163c4 (v8.8.0-rc1)
https://github.com/libvips/libvips/commit/65a259a0258b2036b168cdeff6e9db434471225a (v8.8.0-rc1)

Search for package or bug name: Reporting problems